Fly.io
Apps

List Apps

View as Markdown

List all apps with the ability to filter by organization slug.

GET
/apps

List all apps with the ability to filter by organization slug.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Query Parameters

org_slug*string

The org slug, or 'personal', to filter apps

app_role?string

Filter apps by role

Response Body

application/json

curl -X GET "https://example.com/apps?org_slug=string"
{  "apps": [    {      "id": "string",      "internal_numeric_id": 0,      "machine_count": 0,      "name": "string",      "network": "string",      "organization": {        "internal_numeric_id": 0,        "name": "string",        "slug": "string"      },      "status": "string",      "volume_count": 0    }  ],  "total_apps": 0}